function Rab=Rz(q);

% This function computes the elementary rotation matrix for an
% arbitrary angle about the y-axis

% Note that input units must be in RADIANS

Rab=[cos(q) -sin(q) 0;
   sin(q) cos(q) 0;
   0 0 1];
 
