function Rab=Rx(q);

% This function computes the elementary rotation matrix for an
% arbitrary angle about the x-axis

% Note that input units must be in RADIANS

Rab=[1 0 0;
   0 cos(q) -sin(q);
   0 sin(q) cos(q)];
 
