function Rab=Ry(q);

% This function computes the elementary rotation matrix for an
% arbitrary angle about the y-axis

% Note that input units must be in RADIANS

Rab=[cos(q) 0 sin(q);
   0 1 0;
   -sin(q) 0 cos(q)];
 
